Your browser has Javascript disabled. Please enable it to use this site. Hide this warning

  • Blog:

  • Home
  • Ably News
  • Ably Engineering
  • Realtime APIs
  • Ably v0.9 client library SDK updates: what you need to know

    Ably v0.9 client library SDK updates: what you need to know

    Over the last few months we’ve been working flat out on a whole set of updated client libraries that adhere to our 0.9 specification. 0.9 is the work-in-progress tag we are using before our official 1.0 release which brings lots of feature updates. These features fundamentally make it easier for developers to forget about managing channel and connection state and letting the library handle channel state management automatically.

    We already have stable 0.9 releases for Ruby REST & PHP, and have release candidate versions for Android, iOS, Javascript and Node. Get in touch if you’d like to start using the 0.9 libraries now.


    New: NativeScript library

    We now have a client library for the increasingly popular NativeScript platform. The other cross-platform mobile environments we support are Cordova, React Native and Xamarin. Appcelerator / Titanium is coming soon too.


    New: TypeScript support for JS browser lib & Node.js

    Strongly typed Javascript has arrived for our browser, Node.js, React Native, Cordova and NativeScript libraries. Please note that the types are only supported for version 0.9 of our libraries.


    Android library critical fixes and lots of updates!

    We highly recommend that everyone using our Android and Java libraries updates to the latest 0.8.8 version. Over the last few weeks we’ve fixed quite a few critical issues that were reported which could have had some side-effects.

    See the latest releases on JFrog (Jcenter) >>


    iOS library pod renamed and a few updates

    After lots of back and forth with the Cocoapods dev team, we have finally been able to reclaim our Ably name and publish the iOS library as Ably. We have also made a few small updates over the last few months, so as ever, we recommend you upgraded to the latest minor release 0.8.9.

    See the latest Ably Cocoapod >>

    More updates coming soon…

    In the meantime if you have any questions then feel free to get in contact.

    Ashley